Subject: Re: SOMAXCONN too low

From: Andi Kleen <[email-masked]>
Date: Wed, 29 Oct 2003 20:47:07 +0100

On Wed, 29 Oct 2003 10:58:09 -0800
"David S. Miller" <[email-masked]> wrote:

> On Tue, 28 Oct 2003 22:58:00 -0800
> David Mosberger <[email-masked]> wrote:
> 
> > You obviously want some control over how big the listen queue can
> > grow, but it seems to me that a sysctl would be in place.  I found
> > this patch to do that, but no reaction to it:
> > 
> >   http://www.ussg.iu.edu/hypermail/linux/kernel/0205.0/1287.html
> 
> I think I'm going to apply this patch.
> 
> People can then set the limit to what they want, the default
> stays at 128, and the SOMAXCONN define itself does not change.
> 
> Ok David?

Can I respectfully ask to name the sysctl net/core/somaxconn  ? 

That is the name used in the SuSE/UL kernels and has been shipping for some time
and already has a big user base, and there is no reason to break compatibility
for them.

Thanks,

-Andi